*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

z

/* Navbar Styling */
/* Adjusted the margin from left side so that it looks uniform on all web pages. */
 */.navbar-collapse {
    display: flex;
    /* margin-left: -13rem; */
    justify-content: space-between;
    align-items: center;
    background-color: rgb(72,43,255) !important;
    border-radius: 10px;
    padding: 15px 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-bottom: 2px solid #edf2f4;
    width: 100%;
    position: relative;
    left: 0;
    transition: background-color 0.3s ease-in-out;
    -webkit-transition: background-color 0.3s ease-in-out;
    -moz-transition: background-color 0.3s ease-in-out;
    -ms-transition: background-color 0.3s ease-in-out;
    -o-transition: background-color 0.3s ease-in-out;
}
*/

/* .navbar-collapse {
    display: flex;
    justify-content: center;
    background-color: #3a90dc;
    border-radius: 10px;
    padding: 15px 30px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-bottom: 2px solid #edf2f4;
    width: 100vw;
    position: relative;
    left: 0;

    transition: background-color 0.3s ease-in-out;
    -webkit-transition: background-color 0.3s ease-in-out;
    -moz-transition: background-color 0.3s ease-in-out;
    -ms-transition: background-color 0.3s ease-in-out;
    -o-transition: background-color 0.3s ease-in-out;
} */
.active-link {
            background-color: rgba(255, 99, 71, 0.2);
            /* Soft coral with slight transparency */
            border-radius: 5px;
            color: #ffffff;
            /* White text for contrast */
            transform: scale(0.95);
    border-bottom: 2px solid #edf2f4;
}

.navbar-nav {

    display:  flex;
    justify-content: space-between;
    align-items: start;
    flex-wrap: nowrap;
    gap:0px;

}

.navbar-nav .nav-item {
    display: inline-block;
    padding: 5px; 
}

.navbar-collapse i {
    color: #e7e7e7;
    margin: 0 20px;
    font-size: 18px;
}

.navbar-collapse i:hover {
    scale: 1.2;
    transition: 500ms;
}

.navbar-logo {
    margin-right: 50px;
    width: 125px;
}

.navbar-collapse i {
    color: #e7e7e7;
    margin: 0 20px;
    font-size: 18px;
}

.navbar-collapse i:hover {
    scale: 1.2;
    transition: 500ms;
}

.navbar-logo {
    margin-right: 50px;
    width: 125px;
}

.icon1 {
    filter: exposure(2);
}

.bn30 {
    border: 5em;
    cursor: pointer;
    outline: none;
    font-size: 13px;
    -webkit-transform: translate(0);
    transform: translate(0);
    background-image: linear-gradient(45deg, #4568dc, #b06ab3);
    padding: 0.7em 2em;
    border-radius: 65px;
    box-shadow: 1px 1px 10px rgba(255, 255, 255, 0.438);
    -webkit-transition: box-shadow 0.25s;
    transition: box-shadow 0.25s;
    color: white;
    margin-right: 30px;
  }
  
  .bn30 .text {
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(45deg, #4568dc, #b06ab3);
  }
  
  .bn30:after {
    content: "";
    border-radius: 18px;
    position: absolute;
    margin: 4px;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
    background: #0e0e10;
  }
  
  .bn30:hover {
    background-image: linear-gradient(-45deg, #4568dc, #b06ab3);
    box-shadow: 0 12px 24px rgba(128, 128, 128, 0.1);
  }
  
  .bn30:hover .text {
    background-image: linear-gradient(-45deg, #4568dc, #b06ab3);
  }

.nav-space {
    flex: 1;
}

.navbar-elements {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 15px;
}

.dropdown {
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
    padding: 0;
    margin: 0;
    height: 100%;
    
}
.dropdown > a {
    display: flex;
    align-items: center;
    gap: 2px;
    height: 100%;
    color: #fff;
    font-size: 25px;
}
.dropdown > a > span {
    font-size: 16px !important;
    color: #e7e7e7;
    translate: 0 2px;
}
.menu {
    position: absolute;
    top: 60px;
    right: -20px;
    width: 180px;
    background-color: #000;
    border-radius: 10px;
    border: 1px solid #1f1f1f;
    padding: 8px 0;
    display: grid;
    opacity: .95;
    visibility: hidden;
    transition: 0.3s;
}
.dropdown:hover .menu {
    opacity: .95;
    visibility: visible;
}
.menu::before {
    content: "";
    position: absolute;
    background: inherit;
    border-top: 1px solid #1f1f1f;
    border-right: 1px solid #1f1f1f;
    top: -7px;
    right: 22px;
    width: 12px;
    height: 12px;
    rotate: -45deg;
}
.menu > a {
    padding: 12px 20px;
    font-size: 14px;
    text-decoration: none;
}
.menu > a:hover {
    /* padding: .5px; */
    /* background: #121212; */
    border: .5px solid #505050;
    transition: 300ms;
}
.menu a {
    text-decoration: none;
    color: #fff;
}
.nav-elements a i {
    padding-left: 3px;
}

/* .nav-toggle-btn-space-fixed {
    width: 100px;
} */

#theme-toggle {
    margin-top: 60px;
}

.icon1 {
    filter: exposure(2);
}

.bn30 {
    border: 5em;
    cursor: pointer;
    outline: none;
    font-size: 13px;
    -webkit-transform: translate(0);
    transform: translate(0);
    background-image: linear-gradient(45deg, #4568dc, #b06ab3);
    padding: 0.7em 2em;
    border-radius: 65px;
    box-shadow: 1px 1px 10px rgba(255, 255, 255, 0.438);
    -webkit-transition: box-shadow 0.25s;
    transition: box-shadow 0.25s;
    color: white;
    margin-right: 30px;
  }
  
  .bn30 .text {
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: linear-gradient(45deg, #4568dc, #b06ab3);
  }
  
  .bn30:after {
    content: "";
    border-radius: 18px;
    position: absolute;
    margin: 4px;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
    background: #0e0e10;
  }
  
  .bn30:hover {
    background-image: linear-gradient(-45deg, #4568dc, #b06ab3);
    box-shadow: 0 12px 24px rgba(128, 128, 128, 0.1);
  }
  
  .bn30:hover .text {
    background-image: linear-gradient(-45deg, #4568dc, #b06ab3);
  }

.nav-space {
    flex: 1;
}

.navbar-elements {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 15px;
}

.dropdown {
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
    padding: 0;
    margin: 0;
    height: 100%;
    
}
.dropdown > a {
    display: flex;
    align-items: center;
    gap: 2px;
    height: 100%;
    color: #fff;
    font-size: 25px;
}
.dropdown > a > span {
    font-size: 20px;
    color: #e7e7e7;
    translate: 0 2px;
}
.menu {
    position: absolute;
    top: 60px;
    right: -20px;
    width: 180px;
    background-color: #000;
    border-radius: 10px;
    border: 1px solid #1f1f1f;
    padding: 8px 0;
    display: grid;
    opacity: .95;
    visibility: hidden;
    transition: 0.3s;
}
.dropdown:hover .menu {
    opacity: .95;
    visibility: visible;
}
.menu::before {
    content: "";
    position: absolute;
    background: inherit;
    border-top: 1px solid #1f1f1f;
    border-right: 1px solid #1f1f1f;
    top: -7px;
    right: 22px;
    width: 12px;
    height: 12px;
    rotate: -45deg;
}
.menu > a {
    padding: 12px 20px;
    font-size: 14px;
    text-decoration: none;
}
.menu > a:hover {
    /* padding: .5px; */
    /* background: #121212; */
    border: .5px solid #505050;
    transition: 300ms;
}
.menu a {
    text-decoration: none;
    color: #fff;
}
.nav-elements a i {
    padding-left: 3px;
}

/* .nav-toggle-btn-space-fixed {
    width: 100px;
} */

#theme-toggle {
    margin-top: 5px;
}


@media (max-width: 1320px) { /* 100% width */
    .navbar-nav {
        gap: 3px;
    }
}

.navbar-nav .nav-item a {
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: none;
    padding: 10px 5px;
    transition: all 0.3s ease;
    white-space: nowrap;
}

/* On hover the text color was also set to the background color earlier hence I have changed to red color since all other tabs navbar text was already to red color, I have set to !important because the inline CSS has more priority compared to external CSS whether it applied on hover or without hover so the #333 should not overwrite when hovered hence I have set it to !important. */

.navbar-nav .nav-item a:hover {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    transform: scale(0.95);
}


.nav-item .navbar-btn{
    background: linear-gradient(135deg,#00bfff,#150e4e);
    transition:all 0.4s ease;
}
.nav-item .navbar-btn:hover {
    transform: scale(0.95);
    background: linear-gradient(135deg,#150e4e,#00bfff);
}

.overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: black;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s;
}

.mobile-menu {
    top: 0;
    left: 0;
    width: 70vw;
    height: 100vh;
    position: fixed;
    z-index: 99;
    background-color: black;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    transform: translateX(-100%);
    transition: transform 0.3s;
}

/* Screen more than 991px wide */
@media ((min-width: 991px)) {
    .mobile-menu {
        display: none !important;
    }

}

.mobile-menu a {
    /* box-shadow: inset 0 0 1rem rgba(255,255,255,0.7); */
    /* border-top: 3px solid #fff; */
    /* border-bottom: 1px solid #fff; */
    text-align: center;
    margin: 1.5px;
    padding: 13px;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    position: relative;
    font-size: 16px;
}

.mobile-menu a:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 25%;
    width: 0;
    height: 2px;
    background-color: black;
    transition: width 0.3s;
}

.mobile-menu a:hover:after {
    width: 75%;
}

.mobile-menu li a:hover:after {
    width: 0;
}

.mobile-menu .active-link {
    background:
        linear-gradient(black) bottom/ 100% 2px no-repeat,
        transparent;
}

.mobile-menu__trigger {
    cursor: pointer;
    content: "";
    position: absolute;
    z-index: 3;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    top: 2rem;
    right: -5rem;
    background: black;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mobile-menu__trigger span {
    display: block;
    width: 50%;
    height: 2px;
    background: #fff;
    position: relative;
}

.mobile-menu__trigger span::before,
.mobile-menu__trigger span::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 2px;
    right: 0;
    background: #fff;
    transition: all 0.3s;
}

.mobile-menu__trigger span::before {
    top: -7px;
}

.mobile-menu__trigger span::after {
    top: 7px;
}

.mobile-menu__trigger:hover span::before {
    width: 50%;
    top: -3px;
    right: 0;
    transform: rotate(30deg);
}

.mobile-menu__trigger:hover span::after {
    width: 50%;
    top: 3px;
    right: 0;
    transform: rotate(-30deg);
}

.mobile-menu_open {
    transform: translateX(0%);
    box-shadow: 0 0 2rem #000;
}

.mobile-menu_open+.overlay {
    visibility: visible;
    opacity: 1;
}

.mobile-menu_open .mobile-menu__trigger span::before,
.mobile-menu_open .mobile-menu__trigger span::after {
    left: 0;
}

.mobile-menu_open .mobile-menu__trigger:hover span::before {
    transform: rotate(-30deg);
}

.mobile-menu_open .mobile-menu__trigger:hover span::after {
    transform: rotate(30deg);

} 


/* Consistent link styling */
.navbar-nav .page-scroll {
    color: rgb(237, 242, 244);
    text-decoration: none;
    padding: 8px 12px;
    display: inline-block;
    transition: color 0.3s,border-bottom 0.3s;
    border-bottom: 2px solid transparent; /* Transparent by default */
  }
  
  /* Hover Effect */
  .navbar-nav .page-scroll:hover {
    color: #ffcc00; /* Example: Yellow on hover */
      }
  /* Explore Dropdown: Same styling as other links */
.nav-item.dropdown > a {
    color: rgb(237, 242, 244);
    padding: 8px 12px;
    display: inline-block;
    border-bottom: 2px solid transparent; /* Prevent visible underline */
    transition: color 0.3s, border-bottom 0.3s;
  }

  /* Dropdown Menu */
  .dropdown-menu {
    display: none;
    position: absolute;
    top: 80%;
    left: 0;
    background-color: rgb(0, 0, 0);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
    padding: 10px;
    border-radius: 8px;
    z-index: 20;
    min-width: 150px;
  }
  
  /* Show dropdown on hover */
  .nav-item.dropdown:hover .dropdown-menu {
    display: block;
  }
  
  /* Dropdown Links */
  .dropdown-menu li {
    list-style: none;
    padding: 8px 0;
  }
  
  .dropdown-menu li a {
    text-decoration: none;
    color: black;
    display: block;
    padding: 5px 10px;
  transition: background-color 0.3s;
  }
  
  /* Arrow Rotation Effect */
  .arrow {
    display: inline-block;
    margin-left: 5px;
    transition: transform 0.3s ease;
  }
  
  .nav-item.dropdown:hover .arrow {
    transform: rotate(180deg);
  } 

  .dropdown-toggle::after{
    border-right: 0;
    border-left: 0;
    
  }
  .nav-item a::after {
    height: -1px;
  }
  .dropdown-toggle::after {
    border-top: 1px;
  }